MessagesPropertiesUnitTest.TestPropertyHasDescription (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class MessagesPropertiesUnitTest.TestPropertyHasDescription

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.UnitTestBase
        - - net.sourceforge.jtds.jdbc.MessagesPropertiesUnitTest.TestPropertyHasDescription

- Enclosing class:
    MessagesPropertiesUnitTest

      public static class MessagesPropertiesUnitTest.TestPropertyHasDescription
      extends UnitTestBase

  Tests that a given property key has a matching description key in `Messages.properties`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ResourceBundle` | `messages`
    `private java.lang.String` | `property`

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagesPropertiesUnitTest.TestPropertyHasDescription(java.lang.String property, java.util.ResourceBundle messages)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `runTest()` Runs the test that a given property key has a matching description key in `Messages.properties`.
    `static Test` | `suite()` Provides a null test suite so that JUnit will not try to instantiate this class directly.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.UnitTestBase

      `assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### messages

          private final java.util.ResourceBundle messages

    - #### property

          private final java.lang.String property

  - ### Constructor Detail

    - #### MessagesPropertiesUnitTest.TestPropertyHasDescription

          public MessagesPropertiesUnitTest.TestPropertyHasDescription(java.lang.String property,
                                                               java.util.ResourceBundle messages)

      Constructor.
      Parameters:
        `property` - The property name to test.
        `messages` - The resource bundle containing all of the messages.

  - ### Method Detail

    - #### suite

          public static final Test suite()

      Provides a null test suite so that JUnit will not try to instantiate this class directly.
      Returns:
        The test suite (always `null`).

    - #### runTest

          protected void runTest()
                          throws java.lang.Throwable

      Runs the test that a given property key has a matching description key in `Messages.properties`.
      Throws:
        `java.lang.Throwable` - on error.

Generated on June 8 2013